It shouldn't be possible for coordinates to be the lead paragraph
Closed, ResolvedPublic

Description

http://0.0.0.0:6927/en.wikipedia.org/v1/page/preview-html/Spain is currently returning

<p><span>
</span>


<span style="font-size: small;"><span id="coordinates"><span>Coordinates</span>: <span class="plainlinks nourlexpansion"><span><span class="geo-default"><span class="geo-dms"><span class="latitude">40°N</span> <span class="longitude">4°W</span></span></span></span></span></span></span></p>

as the summary

and the http://0.0.0.0:6927/en.wikipedia.org/v1/page/formatted/Spain
sets the intro as

"intro":"<p><span>\n</span>\n\n\n<span style=\"font-size: small;\"><span id=\"coordinates\"><a href=\"./Geographic_coordinate_system\" title=\"Geographic coordinate system\">Coordinates</a>: <span class=\"plainlinks nourlexpansion\"><a rel=\"m ...

Developer notes

The main crux of the issue is that we don't scrub #coordinates from output. We should and we should rely on the GeoData api (see related T152441)

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
StalledNone
OpenNone
OpenNone
Resolvedovasileva
OpenNone
StalledNone
StalledJdlrobson
OpenNone
Stalledovasileva
OpenNone
OpenNone
DeclinedNone
Openphuedx
StalledNone
ResolvedJdlrobson
ResolvedJdlrobson
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdlrobson updated the task description. (Show Details)Jul 28 2017, 11:38 PM

Talked about this in the weekly engineering sync. Rather than piling on more technical debt in MobileFrontend, we'll add an additional API call to get metadata (via pageprops ) and this will help us complete T103362 on long term.

Fix for T152441 will allow us to remove #coordinates and rectify this.

Change 370253 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/services/mobileapps@master] Scrub #coordinates from response

https://gerrit.wikimedia.org/r/370253

Change 370253 merged by jenkins-bot:
[mediawiki/services/mobileapps@master] Scrub #coordinates from response

https://gerrit.wikimedia.org/r/370253

Mentioned in SAL (#wikimedia-releng) [2017-08-15T17:57:51Z] <bearND> Update mobileapps to 33b80dd (T172829 T152441 T172021 T103362)

Mentioned in SAL (#wikimedia-operations) [2017-08-15T17:59:00Z] <bsitzmann@tin> Finished deploy [mobileapps/deploy@34a1304]: Update mobileapps to 33b80dd (T172829 T152441 T172021 T103362) (duration: 04m 00s)

bearND closed this task as Resolved.Aug 24 2017, 2:27 AM